com.mapinfo.midev.language.filter

## Class BetweenFilter

- java.lang.Object
- - com.mapinfo.midev.language.filter.BetweenFilter

All Implemented Interfaces:
  IFilter

    public final class BetweenFilter
    extends Object
    implements IFilter

Defines an `IFilter` that specifies features whose value for the specified attribute is between two literal values. The comparison is inclusive.

### Constructor Summary

Constructors
Constructor and Description
`BetweenFilter(String attributeName, IAttributeValue min, IAttributeValue max)` Create a filter that determines if any attributes are between the specified values.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAttributeName()` Returns the name of the attribute that will be searched.
`IAttributeValue` `getMaxArgument()` Returns the maximum value.
`IAttributeValue` `getMinArgument()` Returns the minimum.
`boolean` `isSpatial()` Returns `false`.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BetweenFilter

    public BetweenFilter(String attributeName,
                         IAttributeValue min,
                         IAttributeValue max)

Create a filter that determines if any attributes are between the specified values.

Parameters:
  `attributeName` - Filter this column.
  `min` - Filters any column values that are greater than or equal to this value.
  `max` - Filters any column values that are less than or equal to this value.

### Method Detail

#### getAttributeName

    public String getAttributeName()

Returns the name of the attribute that will be searched.

Returns:
  the name of the attribute that will be searched.

#### getMinArgument

    public IAttributeValue getMinArgument()

Returns the minimum.

Returns:
  the minimum.

#### getMaxArgument

    public IAttributeValue getMaxArgument()

Returns the maximum value.

Returns:
  the maximum value.

#### isSpatial

    public boolean isSpatial()

Returns `false`.

Specified by:
  `isSpatial` in interface `IFilter`
Returns:
  `false`.